package info.bukova.isspst.ui.users;

import org.zkoss.bind.annotation.Init;
import org.zkoss.zk.ui.select.annotation.WireVariable;

import info.bukova.isspst.data.User;
import info.bukova.isspst.filters.UserFilter;
import info.bukova.isspst.services.users.UserService;
import info.bukova.isspst.ui.ListViewModel;

public class UsersList extends ListViewModel<User> {
	
	@WireVariable
	private UserService userService;
	
	@Init
	public void init() {
		service = userService;
		dataClass = User.class;
		formZul = "userForm.zul";
		dataFilter = new UserFilter(getFilterTemplate());
	}

}
